This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 216500 - External Monitor gives non-naitive screen resolution.
External Monitor gives non-naitive screen resolution.
Status: CLOSED NOTABUG
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: xorg-x11 (Show other bugs)
5.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Adam Jackson
: Regression
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-11-20 14:52 EST by Tom Kincaid
Modified: 2007-11-30 17:07 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-12-08 11:44:27 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Tom Kincaid 2006-11-20 14:52:44 EST
Description of problem:

I have a T41 system, a docking station and an external DELL Monitor. When I boot
in this configuration, the external monitor does not get the naitve screen
resolution and things large and fuzzy. 

Also: System -> Preferences -> Screen resolution only had a few low resolution
choices. Far fewer than the resolution choices that I had in RHEL 4.4.

I had Ajax come over and take a look. His explaination, which I am not going to
do justice to was that we optimized for the external device being a projector
for RHEL 5. 

He had me put the following in my /etc/X11/xorg.conf file to work around the
problem.

Section "Device"
        Identifier  "Videocard0"
        Driver      "radeon"
        Option "MonitorLayout" "NONE,CRT" # This being the key line.

Unfortunately, this means that in order for me to boot my laptop with out an
external monitor, I need to comment out the following line:

 Option "MonitorLayout" "NONE,CRT" # This being the key line.

I am not sure what the right solution is here but I don't think the current
situation is acceptale for GA. One thought I had was to have a menu pick along
the lines of:

Choice 1: Optimize desktop for external desktop monitor
Choice 2: Optimize desktop for external projector monitor.




Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Daniel Riek 2006-11-29 15:45:52 EST
As this is critical for laptop use - especially at Red Hat. PM ACK
Comment 3 Adam Jackson 2006-12-08 11:44:27 EST
The bug as written isn't workable.  I've discussed the multihead strategies and
support status with rousseau and jneedle.  As they find issues they will open
individual bugs for them.

In particular, the semantics you really want here are which monitor among many
to give preferential treatment to, which is not the same thing as
monitor/projector, so exposing that as the UI is completely the wrong thing to do.

Marking as NOTABUG, for lack of INVALID status.

Note You need to log in before you can comment on or make changes to this bug.